gnutls_x509_crt_get_pk_gost_raw(3)

NAME
gnutls_x509_crt_get_pk_gost_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_pk_gost_raw(gnutls_x509_crt_t crt, gnutls_ecc_curve_t * curve, gnutls_digest_algorithm_t * digest, gnutls_gost_paramset_t * paramset, gnutls_datum_t * x, gnutls_datum_t * y);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

gnutls_ecc_curve_t * curve
    will hold the curve

gnutls_digest_algorithm_t * digest
    will hold the digest

gnutls_gost_paramset_t * paramset
    will hold the GOST parameter set ID

gnutls_datum_t * x
    will hold the x-coordinate

gnutls_datum_t * y
    will hold the y-coordinate

DESCRIPTION
This function will export the GOST public key's parameters found in the given certificate. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/